Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Class JSON.ReaderSource

    java.lang.Object
      org.mortbay.util.ajax.JSON.ReaderSource

All Implemented Interfaces:
  JSON.Source

Enclosing class:
  JSON

    public static class JSON.ReaderSource

extends java.lang.Object
implements JSON.Source

Constructor Summary
`JSON.ReaderSource(java.io.Reader r)`

Method Summary
`boolean` | `hasNext()`
`char` | `next()`
`char` | `peek()`
`char[]` | `scratchBuffer()`
`void` | `setReader(java.io.Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSON.ReaderSource

    public JSON.ReaderSource(java.io.Reader r)

Method Detail

### setReader

    public void setReader(java.io.Reader reader)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `JSON.Source`

### next

    public char next()

  Specified by:
    `next` in interface `JSON.Source`

### peek

    public char peek()

  Specified by:
    `peek` in interface `JSON.Source`

### scratchBuffer

    public char[] scratchBuffer()

  Specified by:
    `scratchBuffer` in interface `JSON.Source`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.